<template>
  <elFrame :src="baseApi+'/jmreport/view/'+excelId" />
</template>
<script>
import { mapGetters } from 'vuex'
import elFrame from '@/components/Iframe/index'
import {getJiMuReportId} from "@/api/report";
import {queryAreaList} from "@/api/area";
export default {
  name: 'ExcelDaoChu',
  components: { elFrame },
  computed: {
    ...mapGetters([
      'baseApi'
    ])
  },
  created() {
      var name = this.$route.query.tableID
     console.log(name)
    getJiMuReportId(name).then(res=>{
      this.excelId = res
    })
    console.log(this.excelId)
  },
  data() {
    return {
      excelId: null,
      permission: {
        add: ['admin', 'agvScene:add'],
        edit: ['admin', 'agvScene:edit'],
        del: ['admin', 'agvScene:del']
      },
    }
  }

}
</script>
